gnutls_error_is_fatal(3)

NAME
gnutls_error_is_fatal

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_error_is_fatal(int error);

ARGUMENTS

int error
    is an error returned by a gnutls function. Error should be a negative value.

DESCRIPTION
If a function returns a negative value you may feed that value to this function to see if it is fatal. Returns 1 for a fatal error 0 otherwise. However you may want to check the error code manually, since some non-fatal errors to the protocol may be fatal for you (your program). This is only useful if you are dealing with errors from the record layer or the handshake layer.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.